manual:installation:install_from_packages:suse

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
manual:installation:install_from_packages:suse [2021/05/27 09:53]
marinagen [ZBX-19451] updated SQL script location
manual:installation:install_from_packages:suse [2021/05/28 14:53]
marinagen adding sql schema commands for proxy
Line 5: Line 5:
 Official Zabbix packages are available for: Official Zabbix packages are available for:
  
-|SUSE Linux Enterprise Server 15  |[[https://​www.zabbix.com/​download?​zabbix=5.4&​os_distribution=suse_linux_enterprise_server&​os_version=15&​db=mysql|Download]] ​ | +|SUSE Linux Enterprise Server 15  |[[https://​www.zabbix.com/​download?​zabbix=6.0&​os_distribution=suse_linux_enterprise_server&​os_version=15&​db=mysql|Download]] ​ | 
-|SUSE Linux Enterprise Server 12  |[[https://​www.zabbix.com/​download?​zabbix=5.4&​os_distribution=suse_linux_enterprise_server&​os_version=12&​db=mysql|Download]] ​ |+|SUSE Linux Enterprise Server 12  |[[https://​www.zabbix.com/​download?​zabbix=6.0&​os_distribution=suse_linux_enterprise_server&​os_version=12&​db=mysql|Download]] ​ |
  
-<note important>​Zabbix ​5.is not released yet. The download links lead to pre-5.packages.</​note>​+<note important>​Zabbix ​6.is not released yet. The download links lead to pre-6.packages.</​note>​
  
 <​note>​ //Verify CA// [[:​manual/​appendix/​install/​db_encrypt/​mysql|encryption mode]] doesn'​t work on SLES 12 (all minor OS versions) with MySQL due to older MySQL libraries. </​note>​ <​note>​ //Verify CA// [[:​manual/​appendix/​install/​db_encrypt/​mysql|encryption mode]] doesn'​t work on SLES 12 (all minor OS versions) with MySQL due to older MySQL libraries. </​note>​
Line 17: Line 17:
 SLES 15: SLES 15:
  
-  # rpm -Uvh --nosignature https://​repo.zabbix.com/​zabbix/​5.4/​sles/​15/​x86_64/​zabbix-release-5.4-1.sles15.noarch.rpm+  # rpm -Uvh --nosignature https://​repo.zabbix.com/​zabbix/​6.0/​sles/​15/​x86_64/​zabbix-release-6.0-1.sles15.noarch.rpm
   # zypper --gpg-auto-import-keys refresh '​Zabbix Official Repository' ​   # zypper --gpg-auto-import-keys refresh '​Zabbix Official Repository' ​
  
 SLES 12: SLES 12:
  
-  # rpm -Uvh --nosignature https://​repo.zabbix.com/​zabbix/​5.4/​sles/​12/​x86_64/​zabbix-release-5.4-1.sles12.noarch.rpm+  # rpm -Uvh --nosignature https://​repo.zabbix.com/​zabbix/​6.0/​sles/​12/​x86_64/​zabbix-release-6.0-1.sles12.noarch.rpm
   # zypper --gpg-auto-import-keys refresh '​Zabbix Official Repository' ​   # zypper --gpg-auto-import-keys refresh '​Zabbix Official Repository' ​
  
Line 70: Line 70:
 <note warning>​TimescaleDB is supported with Zabbix server only.</​note>​ <note warning>​TimescaleDB is supported with Zabbix server only.</​note>​
  
-Use the same commands to import ​the initial schema ​for proxy.+For proxy, ​import initial schema
 + 
 +  # zcat /​usr/​share/​doc/​packages/​zabbix-sql-scripts/​mysql/​schema.sql.gz | mysql -uzabbix -p zabbix 
 + 
 +For proxy with PostgreSQL:​ 
 + 
 +  # zcat /​usr/​share/​doc/​packages/​zabbix-sql-scripts/​postgresql/​schema.sql.gz | sudo -u zabbix psql zabbix
  
 === Configure database for Zabbix server/​proxy === === Configure database for Zabbix server/​proxy ===